export const sys_normal_disable = [
  {
    label: "正常",
    value: "1",
    elTagType: "success",
  },
  {
    label: "禁用",
    value: "0",
    elTagType: "danger",
  },
];

export const sys_common_status = [
  {
    label: "成功",
    value: "1",
    elTagType: "success",
  },
  {
    label: "失败",
    value: "0",
    elTagType: "danger",
  },
];

export const sys_user_gender = [
  {
    label: "男",
    value: "0",
  },
  {
    label: "女",
    value: "1",
  },
  {
    label: "未知",
    value: "2",
  },
];

export const menu_show_hide = [
  {
    label: "显示",
    value: "1",
    elTagType: "success",
  },
  {
    label: "隐藏",
    value: "0",
    elTagType: "warning",
  },
];

export const sys_yes_no = [
  {
    label: "否",
    value: "N",
  },
  {
    label: "是",
    value: "Y",
    elTagType: "danger",
  },
];

export const database_type_dict = [
  {
    label: "MySQL",
    value: "MySQL",
    elTagType: "",
  },
  {
    label: "Oracle",
    value: "Oracle",
    elTagType: "",
  },
  {
    label: "PostgreSQL",
    value: "PostgreSQL",
    elTagType: "",
  },
  {
    label: "Microsoft SQL Server",
    value: "Microsoft SQL Server",
    elTagType: "",
  },
];

export const sys_oper_type = [
  {
    label: "新增",
    value: "1",
    elTagType: "info",
  },
  {
    label: "修改",
    value: "2",
    elTagType: "info",
  },
  {
    label: "删除",
    value: "3",
    elTagType: "danger",
  },
  {
    label: "授权",
    value: "4",
    elTagType: "primary",
  },
  {
    label: "导出",
    value: "5",
    elTagType: "warning",
  },
  {
    label: "导入",
    value: "6",
    elTagType: "warning",
  },
  {
    label: "强退",
    value: "7",
    elTagType: "danger",
  },
  {
    label: "生成代码",
    value: "8",
    elTagType: "info",
  },
  {
    label: "清空数据",
    value: "9",
    elTagType: "danger",
  },
];

export const tenant_mode_dict = [
  {
    label: "字段",
    value: "1",
    elTagType: "primary",
  },
  {
    label: "SCHEMA",
    value: "2",
    elTagType: "warning",
  },
  {
    label: "数据源",
    value: "3",
    elTagType: "success",
  },
];
export const tenant_status_dict = [
  {
    label: "正常",
    value: "1",
    elTagType: "success",
  },
  {
    label: "过期",
    value: "2",
    elTagType: "warning",
  },
  {
    label: "异常",
    value: "3",
    elTagType: "danger",
  },
  {
    label: "禁用",
    value: "0",
    elTagType: "warning",
  },
];

// 初始化状态
export const init_status_dict = [
  {
    label: "否",
    value: "0",
    elTagType: "warning",
  },
  {
    label: "是",
    value: "1",
    elTagType: "success",
  },
];

export const doc_flag_dict = [
  {
    label: "关",
    value: "0",
    elTagType: "warning",
  },
  {
    label: "开",
    value: "1",
    elTagType: "success",
  },
];

export const excel_flag_dict = [
  {
    label: "关",
    value: "0",
    elTagType: "warning",
  },
  {
    label: "开",
    value: "1",
    elTagType: "success",
  },
];
